> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates computed stream



## OpenAPI

````yaml post /api/v1/streams/computed_streams
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/streams/computed_streams:
    post:
      tags:
        - admin
      summary: Creates computed stream
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComputedStreamSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/ComputedStreamSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/ComputedStreamSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/ComputedStreamSchema'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    ComputedStreamSchema:
      required:
        - computation
        - stream
      type: object
      properties:
        stream:
          $ref: '#/components/schemas/StreamSchema'
        computation:
          $ref: '#/components/schemas/ComputedStreamSchemaComputation'
      additionalProperties: false
    StreamSchema:
      required:
        - fields
        - streamName
      type: object
      properties:
        streamName:
          type: string
        fields:
          $ref: '#/components/schemas/StreamSchemaFields'
      additionalProperties: false
    ComputedStreamSchemaComputation:
      required:
        - code
        - lang
        - src_stream_name
      type: object
      properties:
        src_stream_name:
          type: string
        code:
          type: string
        lang:
          type: string
      additionalProperties: false
    StreamSchemaFields:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/StreamSchemaFieldsKeyword660'
    StreamSchemaFieldsKeyword660:
      required:
        - type
      type: object
      properties:
        type:
          type: string
          enum:
            - UInt8
            - DateTime64(3)
            - Nullable(String)
            - Float64
            - Nullable(Int8)
            - Nullable(Bool)
            - Nullable(Int64)
            - Int8
            - UInt16
            - Int16
            - Nullable(UInt64)
            - DateTime64(6)
            - Date
            - Nullable(Date)
            - Nullable(DateTime64(3))
            - Nullable(Float64)
            - Nullable(Array(String))
            - Nullable(UInt32)
            - Array(String)
            - Bool
            - Int64
            - UInt32
            - String
            - Nullable(DateTime64(6))
            - Nullable(Float32)
            - Nullable(Int32)
            - Nullable(UInt8)
            - Int32
            - Nullable(Int16)
            - Nullable(UInt16)
            - Nullable(DateTime)
            - Float32
            - DateTime
            - UInt64
        index:
          type: integer
          format: int64
        unit:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````